Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#1660 closed Patches (fixed)

[graph] Some documentation fixes

Reported by: Daniel James Owned by: Douglas Gregor
Milestone: Boost 1.36.0 Component: graph
Version: Boost 1.34.1 Severity: Problem
Keywords: Cc:

Description

This patches attempts to fix a few things.

The link to getting started doesn't really work with the new getting started documentation, and there isn't an equivalent part of it to link to, the nearest equivalent I could find is the build instructions. Alternatively, the start of the getting started documentation might work better.

With the 'write_dimacs' stuff I fixed a link, and tried to fix what I think is a mistake (it says write_dimacs when it should be write_dimacs_max_flow) but I don't really understand any of this so I could be very wrong there.

Finally, the change to sloan_ordering fixes some odd markup.

Attachments (1)

graph.patch (4.0 KB) - added by Daniel James 11 years ago.

Download all attachments as: .zip

Change History (6)

Changed 11 years ago by Daniel James

Attachment: graph.patch added

comment:1 Changed 11 years ago by Daniel James

Component: Nonegraph
Owner: set to Douglas Gregor

comment:2 Changed 11 years ago by Daniel James

Summary: Some documentation fixes[graph] Some documentation fixes

comment:3 Changed 11 years ago by Douglas Gregor

Resolution: fixed
Status: newclosed

(In [43680]) Fix some documentation issues. Fixes #1655, fixes #1660

comment:4 Changed 11 years ago by Eric Niebler

(In [43812]) Merged revisions 43679-43680,43685-43687,43690-43696,43701-43702,43704-43706,43709,43714-43715,43717-43719,43721-43723,43726,43730-43733,43735,43738-43739,43741-43742,43747-43748,43750,43752,43758,43766,43781-43782,43795,43799,43803-43804,43806-43809 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r43679 | dgregor | 2008-03-17 10:31:21 -0700 (Mon, 17 Mar 2008) | 1 line

Fix typo

........

r43680 | dgregor | 2008-03-17 10:34:46 -0700 (Mon, 17 Mar 2008) | 1 line

Fix some documentation issues. Fixes #1655, fixes #1660

........

r43685 | eric_niebler | 2008-03-17 14:46:08 -0700 (Mon, 17 Mar 2008) | 1 line

small interface simplification, doc comment improvements

........

r43686 | jano_gaspar | 2008-03-17 15:27:15 -0700 (Mon, 17 Mar 2008) | 1 line

circular_buffer: bugfix #1692

........

r43687 | hljin | 2008-03-17 15:28:58 -0700 (Mon, 17 Mar 2008) | 1 line

Added two scripts

........

r43690 | ramey | 2008-03-17 21:58:51 -0700 (Mon, 17 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43691 | ramey | 2008-03-17 22:01:57 -0700 (Mon, 17 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43692 | ramey | 2008-03-17 22:47:10 -0700 (Mon, 17 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43693 | ramey | 2008-03-17 22:52:10 -0700 (Mon, 17 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43694 | ramey | 2008-03-17 22:53:07 -0700 (Mon, 17 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43695 | eric_niebler | 2008-03-17 23:18:33 -0700 (Mon, 17 Mar 2008) | 1 line

work around gcc-4.0.1 bug with const-qualified function references

........

r43696 | eric_niebler | 2008-03-17 23:44:45 -0700 (Mon, 17 Mar 2008) | 1 line

better, restrict fix to gcc-4.0

........

r43701 | ramey | 2008-03-18 08:51:13 -0700 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43702 | ramey | 2008-03-18 08:51:42 -0700 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43704 | ramey | 2008-03-18 09:31:36 -0700 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43705 | ramey | 2008-03-18 09:32:22 -0700 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43706 | ramey | 2008-03-18 09:32:48 -0700 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43709 | bemandawes | 2008-03-18 12:35:18 -0700 (Tue, 18 Mar 2008) | 1 line

Fix inspect boo boos; mostly broken links

........

r43714 | grafik | 2008-03-18 18:01:19 -0700 (Tue, 18 Mar 2008) | 1 line

Disable serialization tests until Robert fixes the testing breakage.

........

r43715 | bemandawes | 2008-03-18 18:42:03 -0700 (Tue, 18 Mar 2008) | 1 line

Fix broken links

........

r43717 | ramey | 2008-03-18 22:17:02 -0700 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

........

r43718 | eric_niebler | 2008-03-18 22:18:50 -0700 (Tue, 18 Mar 2008) | 1 line

correct minor doc inaccuracies

........

r43719 | jano_gaspar | 2008-03-19 02:24:24 -0700 (Wed, 19 Mar 2008) | 1 line

circular_buffer: improved documentation

........

r43721 | vladimir_prus | 2008-03-19 03:51:45 -0700 (Wed, 19 Mar 2008) | 5 lines

Fix #1698 (http://svn.boost.org/trac/boost/ticket/1698).

  • build/virtual-target.jam (register): Ignore differences in incidental dependency features.

........

r43722 | vladimir_prus | 2008-03-19 04:09:29 -0700 (Wed, 19 Mar 2008) | 3 lines

Remove usage-requirements as they are not necessary, and can cause bogus dependencies for serialization's client.

........

r43723 | bemandawes | 2008-03-19 05:33:41 -0700 (Wed, 19 Mar 2008) | 1 line

Fix ordering of libraries within categories. [Vicente Juan Botet]

........

r43726 | grafik | 2008-03-19 09:27:43 -0700 (Wed, 19 Mar 2008) | 1 line

Re-enable serialization tests, now that they should be fixed.

........

r43730 | anthonyw | 2008-03-19 10:25:13 -0700 (Wed, 19 Mar 2008) | 1 line

Removed some warnings: those from issue #1640 and others

........

r43731 | danieljames | 2008-03-19 11:22:58 -0700 (Wed, 19 Mar 2008) | 1 line

Thread is now using quickbook so we have to add a dependency to get it to build, and add it to the path, as it needs to be picked up from the build location.

........

r43732 | danieljames | 2008-03-19 11:27:34 -0700 (Wed, 19 Mar 2008) | 1 line

Remove 'using quickbook' from my documentation jamfiles. It is no longer necessary, and might be harmful.

........

r43733 | pdimov | 2008-03-19 12:39:50 -0700 (Wed, 19 Mar 2008) | 1 line

Regression test for enable_shared_from_this.

........

r43735 | lbourdev | 2008-03-19 21:27:41 -0700 (Wed, 19 Mar 2008) | 3 lines

GIL: Changed a private type name to differ from #define used on some Linux systems.

........

r43738 | fmhess | 2008-03-20 12:32:43 -0700 (Thu, 20 Mar 2008) | 4 lines

Added support for calling enable_shared_from_this::shared_from_this in constructors. Closes #1696.

........

r43739 | pdimov | 2008-03-20 15:10:52 -0700 (Thu, 20 Mar 2008) | 1 line

Initialize _owned in the copy constructor as well.

........

r43741 | lbourdev | 2008-03-21 02:40:59 -0700 (Fri, 21 Mar 2008) | 3 lines

GIL: Fixed a bug in planar device_n view construction.

........

r43742 | lbourdev | 2008-03-21 02:43:19 -0700 (Fri, 21 Mar 2008) | 3 lines

GIL: Replaced tabs with spaces.

........

r43747 | ramey | 2008-03-21 09:37:24 -0700 (Fri, 21 Mar 2008) | 1 line

Added consideration for compac Tru64

........

r43748 | ramey | 2008-03-21 09:40:06 -0700 (Fri, 21 Mar 2008) | 1 line

added include <ostream> for friend operators

........

r43750 | danieljames | 2008-03-21 09:52:40 -0700 (Fri, 21 Mar 2008) | 1 line

Check links in single quotes as well as double quotes.

........

r43752 | danieljames | 2008-03-21 09:56:35 -0700 (Fri, 21 Mar 2008) | 1 line

Decode percent coded characters and '&amp;' when inspecting urls.

........

r43758 | ramey | 2008-03-21 10:19:07 -0700 (Fri, 21 Mar 2008) | 1 line

Adjustment to inhibit compile error with intel compilers

........

r43766 | fmhess | 2008-03-21 12:19:25 -0700 (Fri, 21 Mar 2008) | 4 lines

Worked around compilation error in boost::get_deleter when using old versions of g++.

........

r43781 | noel_belcourt | 2008-03-21 14:04:36 -0700 (Fri, 21 Mar 2008) | 3 lines

pgi-7.1 has testable version macros, yeah!

........

r43782 | fmhess | 2008-03-21 14:12:21 -0700 (Fri, 21 Mar 2008) | 3 lines

Fixed bogus test failure caused by new enable_shared_from_this features.

........

r43795 | ramey | 2008-03-22 11:59:07 -0700 (Sat, 22 Mar 2008) | 4 lines

streamlined Jamfile.v2 eliminated build of binary_w* removed usage-requirement dropped serialization.jam as its no longer used

........

r43799 | grafik | 2008-03-22 15:53:35 -0700 (Sat, 22 Mar 2008) | 1 line

Remove svn exec property from files that should not be executable to fix permission problems in archives.

........

r43803 | danieljames | 2008-03-23 06:03:24 -0700 (Sun, 23 Mar 2008) | 1 line

Fix another license link I seem to have missed.

........

r43804 | fmhess | 2008-03-23 07:51:40 -0700 (Sun, 23 Mar 2008) | 3 lines

Added a little more test code for new enable_shared_from_this behavior.

........

r43806 | ramey | 2008-03-23 11:36:00 -0700 (Sun, 23 Mar 2008) | 1 line

adjusted header order for export.hpp to see if this will make gcc 4.x tests pass.

........

r43807 | ramey | 2008-03-23 12:09:51 -0700 (Sun, 23 Mar 2008) | 1 line

made test compile only

........

r43808 | ramey | 2008-03-23 12:10:31 -0700 (Sun, 23 Mar 2008) | 1 line

made test_static_warning compile only

........

r43809 | ramey | 2008-03-23 12:18:22 -0700 (Sun, 23 Mar 2008) | 1 line

removed superflous static cast

........

comment:5 Changed 11 years ago by Daniel James

(In [43816]) Merged revisions 42883-43814 via svnmerge from https://svn.boost.org/svn/boost/trunk

................

r42884 | jurko | 2008-01-20 20:18:50 +0000 (Sun, 20 Jan 2008) | 5 lines

Minor stylistic changes:

  • Removed trailing spaces.
  • Added a comment for code discovering the user's home-directories.
  • Removed a stale regex import.
  • Removed an old corpse 'identity' rule found inside the test rule.

................

r42890 | johnmaddock | 2008-01-21 09:41:17 +0000 (Mon, 21 Jan 2008) | 1 line

Only disable wide character support for HP aCC: for gcc the logic is already taken care of in libstdcpp3.hpp.

................

r42897 | hkaiser | 2008-01-21 16:13:31 +0000 (Mon, 21 Jan 2008) | 1 line

Removed a duplicate entry.

................

r42898 | rogeeff | 2008-01-21 17:02:53 +0000 (Mon, 21 Jan 2008) | 1 line

changed output of booleans

................

r42899 | johnmaddock | 2008-01-21 18:11:09 +0000 (Mon, 21 Jan 2008) | 1 line

Updated type traits library so that everything compiles with -Wall -pedantic with GCC.

................

r42904 | davedeakins | 2008-01-21 19:38:44 +0000 (Mon, 21 Jan 2008) | 1 line

Don't include <eh.h> for WinCE (since WinCE does not have this header)

................

r42906 | eric_niebler | 2008-01-21 20:39:35 +0000 (Mon, 21 Jan 2008) | 1 line

minor clean-up

................

r42909 | rogeeff | 2008-01-22 03:41:23 +0000 (Tue, 22 Jan 2008) | 1 line

missing header

................

r42911 | igaztanaga | 2008-01-22 16:49:22 +0000 (Tue, 22 Jan 2008) | 1 line

Refactor some allocation code and fix instantiation problem in 64 bit platforms

................

r42916 | eric_niebler | 2008-01-22 20:42:18 +0000 (Tue, 22 Jan 2008) | 1 line

add concepts section to proto reference

................

r42917 | hljin | 2008-01-22 22:10:48 +0000 (Tue, 22 Jan 2008) | 1 line

GIL: fixed the problem with std::hex by adding #include <ios>

................

r42918 | eric_niebler | 2008-01-23 02:23:15 +0000 (Wed, 23 Jan 2008) | 1 line

proto works with boost 1.34.1

................

r42929 | johnmaddock | 2008-01-23 16:08:44 +0000 (Wed, 23 Jan 2008) | 1 line

Applies fix for issue #1598: added missing #include.

................

r42931 | igaztanaga | 2008-01-23 19:34:39 +0000 (Wed, 23 Jan 2008) | 1 line

Ticket #1593: [interprocess] 'streamoff' : is not a member of 'std'

................

r42934 | andreas_huber69 | 2008-01-23 21:46:58 +0000 (Wed, 23 Jan 2008) | 1 line

Fixes #1594

................

r42935 | eric_niebler | 2008-01-23 21:57:47 +0000 (Wed, 23 Jan 2008) | 1 line

fix dependency issue in Jamfile

................

r42938 | jano_gaspar | 2008-01-23 23:04:57 +0000 (Wed, 23 Jan 2008) | 1 line

circular_buffer: updated documentation

................

r42939 | eric_niebler | 2008-01-23 23:25:24 +0000 (Wed, 23 Jan 2008) | 1 line

fix quickbook scanner to recognize the [import ...] block

................

r42943 | danieljames | 2008-01-23 23:39:59 +0000 (Wed, 23 Jan 2008) | 60 lines

Merged revisions 42882-42941 via svnmerge from https://svn.boost.org/svn/boost/branches/unordered/trunk

................

r42887 | danieljames | 2008-01-20 21:32:04 +0000 (Sun, 20 Jan 2008) | 10 lines

Merged revisions 42590-42664,42667-42697,42699-42723,42725-42855,42857-42881 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r42881 | danieljames | 2008-01-20 17:37:21 +0000 (Sun, 20 Jan 2008) | 1 line

Include <new> to get std::bad_alloc.

........

................

r42892 | danieljames | 2008-01-21 13:03:16 +0000 (Mon, 21 Jan 2008) | 1 line

On some compilers the Rogue Wave/Apache? stdcxx library doesn't have the normal std::distance, but instead has a variant that takes the result as the third parameter so it doesn't have to work out the type from the iterator.

................

r42893 | danieljames | 2008-01-21 13:07:58 +0000 (Mon, 21 Jan 2008) | 1 line

Fix a typo in the last commit.

................

r42895 | danieljames | 2008-01-21 13:33:29 +0000 (Mon, 21 Jan 2008) | 1 line

Remove tabs from the last checkin.

................

r42896 | danieljames | 2008-01-21 15:51:40 +0000 (Mon, 21 Jan 2008) | 1 line

Use Boost config to tell when we have a std::distance function. Also, no need for a macro.

................

r42908 | danieljames | 2008-01-21 21:37:04 +0000 (Mon, 21 Jan 2008) | 1 line

Use boost::long_long_type and boost::ulong_long_type.

................

r42921 | danieljames | 2008-01-23 11:43:35 +0000 (Wed, 23 Jan 2008) | 1 line

Remove some tabs.

................

r42922 | danieljames | 2008-01-23 11:46:28 +0000 (Wed, 23 Jan 2008) | 2 lines

Add missing include. Refs #1596

................

r42923 | danieljames | 2008-01-23 11:52:47 +0000 (Wed, 23 Jan 2008) | 2 lines

Always use void const* for the second parameter of allocate. Refs #1596.

................

r42936 | danieljames | 2008-01-23 22:22:16 +0000 (Wed, 23 Jan 2008) | 1 line

Use Boost style library name in the documentation.

................

r42937 | danieljames | 2008-01-23 22:22:32 +0000 (Wed, 23 Jan 2008) | 1 line

More tabs.

................

r42941 | danieljames | 2008-01-23 23:35:01 +0000 (Wed, 23 Jan 2008) | 1 line

Fix all the allocators.

................

................

r42948 | turkanis | 2008-01-24 06:50:32 +0000 (Thu, 24 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42825-42947

................

r42950 | t_schwinger | 2008-01-24 18:56:27 +0000 (Thu, 24 Jan 2008) | 3 lines

correctsbroken compiler support for MPL

................

r42951 | eric_niebler | 2008-01-24 21:06:23 +0000 (Thu, 24 Jan 2008) | 1 line

peeker optimization looks inside independent sub-expressions

................

r42952 | nesotto | 2008-01-24 22:22:35 +0000 (Thu, 24 Jan 2008) | 1 line

test of output iterators

................

r42953 | nesotto | 2008-01-24 22:26:36 +0000 (Thu, 24 Jan 2008) | 1 line

output iterator test

................

r42954 | nesotto | 2008-01-24 22:27:27 +0000 (Thu, 24 Jan 2008) | 1 line

output iterators for ptr_containers

................

r42957 | t_schwinger | 2008-01-25 00:26:16 +0000 (Fri, 25 Jan 2008) | 3 lines

simplifies preprocessing code

................

r42958 | t_schwinger | 2008-01-25 00:28:15 +0000 (Fri, 25 Jan 2008) | 3 lines

touched

................

r42960 | noel_belcourt | 2008-01-25 04:41:16 +0000 (Fri, 25 Jan 2008) | 6 lines

Changed the -soname and -shared options in intel-darwin.jam to use -dynamiclib and -install_name, as done in darwin.jam. Apparently the Intel compilers on the Mac support the same options as gcc for setting the internal dynamic library name.

................

r42963 | nesotto | 2008-01-25 07:52:14 +0000 (Fri, 25 Jan 2008) | 1 line

renaming ...

................

r42964 | nesotto | 2008-01-25 07:52:56 +0000 (Fri, 25 Jan 2008) | 1 line

renaming

................

r42965 | nesotto | 2008-01-25 07:54:28 +0000 (Fri, 25 Jan 2008) | 1 line

renaming

................

r42970 | turkanis | 2008-01-25 17:56:25 +0000 (Fri, 25 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42947-42962: fixed tickets 1003, 1139, 1140, 1149

................

r42971 | noel_belcourt | 2008-01-25 19:52:47 +0000 (Fri, 25 Jan 2008) | 2 lines

Fixed a typo to yesterdays patch.

................

r42972 | dgregor | 2008-01-25 21:07:14 +0000 (Fri, 25 Jan 2008) | 2 lines

Include <ios> to get std::boolalpha. Fixes #1586

................

r42974 | igaztanaga | 2008-01-25 23:07:51 +0000 (Fri, 25 Jan 2008) | 4 lines

1)Fixed gcc release mode warnings. 2)Replaced throw with BOOST_RETHROW when BOOST_TRY is used. 3)Fixed issues with singly linked lists

................

r42976 | hkaiser | 2008-01-26 01:24:21 +0000 (Sat, 26 Jan 2008) | 2 lines

Wave: Fixed a problem in flex_string::compare() (#include_next was non-functional).

................

r42977 | hkaiser | 2008-01-26 01:36:20 +0000 (Sat, 26 Jan 2008) | 1 line

Wave: Added new testcase.

................

r42980 | hkaiser | 2008-01-26 01:44:32 +0000 (Sat, 26 Jan 2008) | 1 line

Wave: Tweaked new testcase.

................

r42982 | igaztanaga | 2008-01-26 11:52:25 +0000 (Sat, 26 Jan 2008) | 1 line

Refactored common slist functions in a single class

................

r42984 | noel_belcourt | 2008-01-26 18:35:59 +0000 (Sat, 26 Jan 2008) | 7 lines

Fixes #416

Fixed spelling of Jack Edmonds name and renamed files where necessary. Updated the documentation as well. Tested changes by building/running tests in libs/graph/test.

................

r42985 | noel_belcourt | 2008-01-26 18:51:28 +0000 (Sat, 26 Jan 2008) | 5 lines

Fixes #640

Corrected the mpl push_front html documentation.

................

r42986 | eric_niebler | 2008-01-26 19:38:44 +0000 (Sat, 26 Jan 2008) | 1 line

optimize repeated searches with patterns that have leading repeats

................

r42987 | t_schwinger | 2008-01-26 21:50:14 +0000 (Sat, 26 Jan 2008) | 3 lines

attempts to allow some preprocessing with VACPP (IBM)

................

r42988 | noel_belcourt | 2008-01-26 22:21:57 +0000 (Sat, 26 Jan 2008) | 5 lines

Fixes #1539

Fixed typo in the random documentation.

................

r42989 | noel_belcourt | 2008-01-26 23:06:24 +0000 (Sat, 26 Jan 2008) | 6 lines

Fixes #965

Patched the XML and will check to ensure the html page reflects this change.

................

r42990 | eric_niebler | 2008-01-27 05:56:46 +0000 (Sun, 27 Jan 2008) | 1 line

updated vcproj

................

r42991 | eric_niebler | 2008-01-27 05:57:08 +0000 (Sun, 27 Jan 2008) | 1 line

fix typo

................

r42992 | johnmaddock | 2008-01-27 18:43:35 +0000 (Sun, 27 Jan 2008) | 1 line

Extended leading repeat optimization to more cases.

................

r42997 | vladimir_prus | 2008-01-28 17:59:27 +0000 (Mon, 28 Jan 2008) | 1 line

Correct speliing of --build-dir in --help output

................

r43000 | eric_niebler | 2008-01-28 20:03:41 +0000 (Mon, 28 Jan 2008) | 1 line

update acknowledgement of john maddock

................

r43001 | bgubenko | 2008-01-28 21:27:13 +0000 (Mon, 28 Jan 2008) | 1 line

marked 2 asio library tests for gcc-4.2.1_hpux_ia64 (HP-UX 11.23 with gcc)

................

r43002 | eric_niebler | 2008-01-28 22:55:30 +0000 (Mon, 28 Jan 2008) | 1 line

doc more concepts, misc clean-up

................

r43003 | eric_niebler | 2008-01-28 22:56:46 +0000 (Mon, 28 Jan 2008) | 1 line

proto doxygen comments, misc clean-up

................

r43006 | eric_niebler | 2008-01-29 02:20:45 +0000 (Tue, 29 Jan 2008) | 1 line

more proto doxygen comments, update copyright

................

r43007 | vladimir_prus | 2008-01-29 06:28:09 +0000 (Tue, 29 Jan 2008) | 1 line

Retain top-level boost-build.jam

................

r43008 | vladimir_prus | 2008-01-29 06:40:06 +0000 (Tue, 29 Jan 2008) | 4 lines

Disable relinking when <target-os> is either windows or cygwin.

Fixes #1062.

................

r43009 | eric_niebler | 2008-01-29 07:03:03 +0000 (Tue, 29 Jan 2008) | 1 line

add tests for deep_copy, make_expr, unpack_expr; fix bugs; update more copyrights

................

r43012 | djenkins | 2008-01-29 16:41:12 +0000 (Tue, 29 Jan 2008) | 1 line

fix typo

................

r43013 | djenkins | 2008-01-29 16:43:51 +0000 (Tue, 29 Jan 2008) | 1 line

update copyright and misc cleanup

................

r43014 | bgubenko | 2008-01-29 17:47:01 +0000 (Tue, 29 Jan 2008) | 1 line

marked interprocess library unusable on gcc-4.2.1_hpux_ia64 (until it is ported to HP-UX platform)

................

r43016 | eric_niebler | 2008-01-29 21:02:52 +0000 (Tue, 29 Jan 2008) | 1 line

make_expr and unpack_expr improvements, fix scary transform::arg_c bug

................

r43018 | djenkins | 2008-01-30 03:39:02 +0000 (Wed, 30 Jan 2008) | 1 line

use skip directive to simplify example

................

r43023 | eric_niebler | 2008-01-30 22:10:13 +0000 (Wed, 30 Jan 2008) | 1 line

finally, a make_expr() I can live with

................

r43024 | eric_niebler | 2008-01-30 22:26:34 +0000 (Wed, 30 Jan 2008) | 1 line

regenerated boostbook reference

................

r43025 | niels_dekker | 2008-01-30 22:42:23 +0000 (Wed, 30 Jan 2008) | 1 line

value_init: Removed aligned_storage::address() calls, to improve TR1 compatibility, as confirmed by John Maddock. Added internal helper function, wrapper_address(), as discussed with Fernando.

................

r43026 | eric_niebler | 2008-01-30 23:03:36 +0000 (Wed, 30 Jan 2008) | 1 line

minor tweak to make_expr result_of return type calculation

................

r43031 | eric_niebler | 2008-01-31 07:36:28 +0000 (Thu, 31 Jan 2008) | 1 line

simplify make_expr.hpp, user docs for make_expr()

................

r43035 | eric_niebler | 2008-01-31 18:44:17 +0000 (Thu, 31 Jan 2008) | 1 line

minor tweak to fusion value_of and value_at for expressions, for better interop with proto::unpack_expr

................

r43037 | vladimir_prus | 2008-01-31 19:47:12 +0000 (Thu, 31 Jan 2008) | 1 line

Build in MT mode (as long as wave links to boost.thread)

................

r43038 | hkaiser | 2008-01-31 20:57:47 +0000 (Thu, 31 Jan 2008) | 1 line

Wave: fixed expanding_function_like_macro()

................

r43040 | eric_niebler | 2008-01-31 21:12:44 +0000 (Thu, 31 Jan 2008) | 1 line

finish documentation for expression construction utilities

................

r43041 | hkaiser | 2008-01-31 22:33:43 +0000 (Thu, 31 Jan 2008) | 1 line

Wave: Added additional configuration possibility to allow control threading support.

................

r43042 | hkaiser | 2008-01-31 22:48:56 +0000 (Thu, 31 Jan 2008) | 1 line

Wave: Added additional configuration possibility to allow control threading support. Updated the documentation.

................

r43043 | jurko | 2008-02-01 00:27:31 +0000 (Fri, 01 Feb 2008) | 1 line

Reverted changes made in rev 43038 which seem to have been committed by mistake and include some user specific settings in it local to the comitter's environment while this file is intended to be used as generic template for actual user-config.jam files and do nothing in case user does not specify his own settings there.

................

r43044 | jurko | 2008-02-01 00:44:23 +0000 (Fri, 01 Feb 2008) | 1 line

Minor stylistic spacing changes. Remove trailing spaces.

................

r43045 | jurko | 2008-02-01 00:46:50 +0000 (Fri, 01 Feb 2008) | 1 line

Corrected outputting native Windows paths so that it works correctly for absolute paths without the drive letter being explicitly specified, e.g. \aaa\bbb or /aaa/bbb.

................

r43046 | jurko | 2008-02-01 01:49:16 +0000 (Fri, 01 Feb 2008) | 1 line

Added the missing end-of-line character when outputting DEBUG_SEARCH debug messages from file_build1(). This cleans up the -d+6 bjam output a lot.

................

r43050 | eric_niebler | 2008-02-01 20:30:29 +0000 (Fri, 01 Feb 2008) | 1 line

add future group example

................

r43052 | noel_belcourt | 2008-02-02 02:41:23 +0000 (Sat, 02 Feb 2008) | 4 lines

Fix a typo in pgi.jam that prevented shared libraries from being built correctly.

................

r43054 | chris_kohlhoff | 2008-02-02 11:37:45 +0000 (Sat, 02 Feb 2008) | 4 lines

Ensure that the workaround for the MSVC secure iterator problem is only used when compiling with MSVC. The workaround causes g++'s library debug mode to report errors due to the assignment from a singular iterator.

................

r43055 | chris_kohlhoff | 2008-02-02 11:39:17 +0000 (Sat, 02 Feb 2008) | 2 lines

Fix "possible loss of data" warning when building for Windows 2000 targets.

................

r43056 | chris_kohlhoff | 2008-02-02 12:02:23 +0000 (Sat, 02 Feb 2008) | 3 lines

The latest Windows SDKs don't support IPv6 when building for Windows 2000, so we need to use the SDK emulation in that case.

................

r43057 | eric_niebler | 2008-02-02 12:27:16 +0000 (Sat, 02 Feb 2008) | 1 line

port test to boost version 1.34.1

................

r43061 | turkanis | 2008-02-02 22:10:46 +0000 (Sat, 02 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 42962-43059: updated copyright notices

................

r43080 | eric_niebler | 2008-02-03 18:40:03 +0000 (Sun, 03 Feb 2008) | 1 line

fix bug found by L. Evans re: fusion and stateful function objects

................

r43083 | johnmaddock | 2008-02-04 09:13:36 +0000 (Mon, 04 Feb 2008) | 1 line

Added missing file.

................

r43085 | johnmaddock | 2008-02-04 09:17:35 +0000 (Mon, 04 Feb 2008) | 1 line

Removed dead file.

................

r43087 | johnmaddock | 2008-02-04 09:20:46 +0000 (Mon, 04 Feb 2008) | 1 line

Removed dead files.

................

r43089 | johnmaddock | 2008-02-04 09:23:28 +0000 (Mon, 04 Feb 2008) | 1 line

Removed dead files.

................

r43094 | anthonyw | 2008-02-04 13:16:32 +0000 (Mon, 04 Feb 2008) | 1 line

added test for duration overloads of timed_lock, and added missing implementation to win32 version

................

r43101 | hkaiser | 2008-02-04 19:21:46 +0000 (Mon, 04 Feb 2008) | 1 line

Wave: trying to fix stdcxx_gcc regression.

................

r43103 | matias | 2008-02-04 21:01:06 +0000 (Mon, 04 Feb 2008) | 1 line

hooking --> additional information in html docs

................

r43106 | eric_niebler | 2008-02-05 02:09:51 +0000 (Tue, 05 Feb 2008) | 1 line

fleshing out evaluation.qbk, document transforms of if_, not_, and_ and or_

................

r43107 | eric_niebler | 2008-02-05 05:33:12 +0000 (Tue, 05 Feb 2008) | 1 line

eliminate warnings under msvc's -W4

................

r43111 | eric_niebler | 2008-02-05 06:03:01 +0000 (Tue, 05 Feb 2008) | 1 line

fix typo

................

r43112 | marshall | 2008-02-05 16:07:19 +0000 (Tue, 05 Feb 2008) | 1 line

Fix typo (bug #1434)

................

r43113 | marshall | 2008-02-05 16:15:35 +0000 (Tue, 05 Feb 2008) | 1 line

Applied patch (fixes bug #1307)

................

r43117 | dgregor | 2008-02-05 20:51:23 +0000 (Tue, 05 Feb 2008) | 1 line

Fix add_vertex and add_vertices when the CSR graph has vertex properties

................

r43118 | danieljames | 2008-02-05 20:57:02 +0000 (Tue, 05 Feb 2008) | 13 lines

Merged revisions 42942-43116 via svnmerge from https://svn.boost.org/svn/boost/branches/unordered/trunk

........

r42975 | danieljames | 2008-01-26 00:29:32 +0000 (Sat, 26 Jan 2008) | 1 line

Typedef some types before using them, to make life easier for Borland.

........

r43116 | danieljames | 2008-02-05 20:47:44 +0000 (Tue, 05 Feb 2008) | 1 line

Some compilers and libraries combinations have problems with deques of non-assingable types. Using a list instead.

........

................

r43120 | eric_niebler | 2008-02-05 21:07:31 +0000 (Tue, 05 Feb 2008) | 1 line

add missing #include

................

r43121 | bemandawes | 2008-02-06 02:01:46 +0000 (Wed, 06 Feb 2008) | 1 line

Add circular_buffer to the alphabetic list

................

r43125 | t_schwinger | 2008-02-06 13:00:08 +0000 (Wed, 06 Feb 2008) | 3 lines

attempts to make synthesis metafunctions work with sun compiler

................

r43129 | danieljames | 2008-02-06 19:02:38 +0000 (Wed, 06 Feb 2008) | 2 lines

In the boostbook navbar, link FAQ and people to the website.

................

r43130 | eric_niebler | 2008-02-06 19:57:51 +0000 (Wed, 06 Feb 2008) | 1 line

untabify

................

r43132 | nesotto | 2008-02-06 22:46:19 +0000 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection report

................

r43133 | nesotto | 2008-02-06 22:46:31 +0000 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection report

................

r43134 | eric_niebler | 2008-02-06 22:57:57 +0000 (Wed, 06 Feb 2008) | 1 line

add handy get() accessors on literal<> wrapper

................

r43135 | nesotto | 2008-02-06 23:12:21 +0000 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection tool

................

r43136 | eric_niebler | 2008-02-07 00:05:01 +0000 (Thu, 07 Feb 2008) | 1 line

reasonably complete user docs for expression evaluation

................

r43138 | eric_niebler | 2008-02-07 08:06:29 +0000 (Thu, 07 Feb 2008) | 1 line

tweaks for doxygen 1.5.4, document matches<>

................

r43141 | johnmaddock | 2008-02-07 09:55:41 +0000 (Thu, 07 Feb 2008) | 1 line

Fix last checked version.

................

r43143 | johnmaddock | 2008-02-07 10:03:16 +0000 (Thu, 07 Feb 2008) | 1 line

Remove tabs.

................

r43145 | johnmaddock | 2008-02-07 10:13:31 +0000 (Thu, 07 Feb 2008) | 1 line

Fix min/max usage violation.

................

r43147 | vladimir_prus | 2008-02-07 10:17:03 +0000 (Thu, 07 Feb 2008) | 2 lines

Attempt to unbreak <library-file>

................

r43148 | johnmaddock | 2008-02-07 10:24:29 +0000 (Thu, 07 Feb 2008) | 1 line

Added comment to suppress inspect warning.

................

r43150 | johnmaddock | 2008-02-07 10:29:59 +0000 (Thu, 07 Feb 2008) | 1 line

Added fix for inspection report.

................

r43152 | vladimir_prus | 2008-02-07 11:04:30 +0000 (Thu, 07 Feb 2008) | 4 lines

Fix <framework> with no path.

Patch from Jon Olsson.

................

r43154 | bemandawes | 2008-02-07 13:22:34 +0000 (Thu, 07 Feb 2008) | 1 line

Remove obsolete CVS scripts, add 1.35.0 SVN scripts, beginning of docs page

................

r43155 | nesotto | 2008-02-07 14:41:04 +0000 (Thu, 07 Feb 2008) | 6 lines

iterator_range disables msvc warning 4996

<http://svn.boost.org/trac/boost/ticket/1565>

[range] sub_range assignment issue

<http://svn.boost.org/trac/boost/ticket/1284>

................

r43156 | nesotto | 2008-02-07 14:46:19 +0000 (Thu, 07 Feb 2008) | 1 line

test

................

r43157 | joaquin | 2008-02-07 16:29:27 +0000 (Thu, 07 Feb 2008) | 1 line

updated according to latest regression tests results, fixed a broken link, typo

................

r43159 | turkanis | 2008-02-07 17:07:28 +0000 (Thu, 07 Feb 2008) | 1 line

added missing 'self.' qualification

................

r43165 | dgregor | 2008-02-07 21:08:09 +0000 (Thu, 07 Feb 2008) | 1 line

Support for non-blocking MPI operations in Python, from Andreas Kloeckner

................

r43166 | dgregor | 2008-02-07 21:09:38 +0000 (Thu, 07 Feb 2008) | 1 line

Note addition of nonblocking operations to the Python interface

................

r43171 | nesotto | 2008-02-08 09:58:35 +0000 (Fri, 08 Feb 2008) | 1 line

silence of warnings for unused arguments

................

r43175 | nesotto | 2008-02-08 15:25:01 +0000 (Fri, 08 Feb 2008) | 1 line

missing ) fixed

................

r43176 | noel_belcourt | 2008-02-08 16:32:35 +0000 (Fri, 08 Feb 2008) | 14 lines

Force PPC Darwin to use fork instead of vfork. This change requires both the parent and child process to explicitly set the process group id. Vfork guarantees the child process runs to the exec before it releases the parent process. Now that we use fork instead of vfork, it's possible for the parent to wait on the child process without having the child setpgid on itself. This eliminates spurious hangs on ppc darwin caused by either a race condition between vfork and execvp, or a bug in the vfork implementation.

Added a test to ensure we don't try to read from the stderr pipe descriptor if the descriptor's not valid.

................

r43177 | eric_niebler | 2008-02-08 17:11:57 +0000 (Fri, 08 Feb 2008) | 1 line

reserve some c_type bits for dinkumware on windows, fixes #1625

................

r43179 | noel_belcourt | 2008-02-08 17:53:50 +0000 (Fri, 08 Feb 2008) | 13 lines

I've added the -single_module option to the intel-darwin.link.dll action to fix this linker error when linking dylibs:

ld: common symbols not allowed with MH_DYLIB output format with the -multi_module option boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZGVZNK5boost6system14error_category7messageEiE1s (size 16)

boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZZNK5boost6system14error_category7messageEiE1s (size 16)

though I would note that the common symbols problem occurs in a number of other libraries (test, graph, spirit, ...) as well.

................

r43188 | danieljames | 2008-02-09 12:29:02 +0000 (Sat, 09 Feb 2008) | 2 lines

Fix a link in the intrusive redirect.

................

r43189 | danieljames | 2008-02-09 12:37:00 +0000 (Sat, 09 Feb 2008) | 1 line

Fix another redirect link.

................

r43190 | danieljames | 2008-02-09 12:38:19 +0000 (Sat, 09 Feb 2008) | 1 line

Update link to Jamfile, to link to the version 2 jamfile.

................

r43191 | danieljames | 2008-02-09 12:39:06 +0000 (Sat, 09 Feb 2008) | 1 line

Fix a link.

................

r43192 | danieljames | 2008-02-09 12:45:32 +0000 (Sat, 09 Feb 2008) | 2 lines

Add a forwarding header for hash/custom.html as Boost.Bimap links to it.

................

r43193 | danieljames | 2008-02-09 13:02:45 +0000 (Sat, 09 Feb 2008) | 1 line

Fix the link to the license.

................

r43199 | eric_niebler | 2008-02-09 20:32:27 +0000 (Sat, 09 Feb 2008) | 1 line

more doxygen comments, const-correctness tweak for fusion::at() on proto expression

................

r43200 | eric_niebler | 2008-02-09 20:34:33 +0000 (Sat, 09 Feb 2008) | 1 line

document how to access children of proto expressions

................

r43204 | eric_niebler | 2008-02-10 06:57:24 +0000 (Sun, 10 Feb 2008) | 1 line

fix oops in proto fusion interface

................

r43205 | eric_niebler | 2008-02-10 07:02:54 +0000 (Sun, 10 Feb 2008) | 1 line

suppress msvc warning

................

r43206 | danieljames | 2008-02-10 09:55:03 +0000 (Sun, 10 Feb 2008) | 1 line

Fix some broken links.

................

r43207 | vladimir_prus | 2008-02-10 13:13:41 +0000 (Sun, 10 Feb 2008) | 4 lines

Tolerate argc being zero.

Patch from C. K. Jester-Young.

................

r43209 | danieljames | 2008-02-10 14:56:22 +0000 (Sun, 10 Feb 2008) | 1 line

Link to people pages on the website, as they've been removed from the download.

................

r43210 | danieljames | 2008-02-10 15:02:17 +0000 (Sun, 10 Feb 2008) | 1 line

Point links to the pages that used to be in 'more' to the site.

................

r43212 | danieljames | 2008-02-10 16:10:16 +0000 (Sun, 10 Feb 2008) | 1 line

Fix links on the home page as well.

................

r43213 | danieljames | 2008-02-10 16:21:22 +0000 (Sun, 10 Feb 2008) | 1 line

Generated documentation which is no longer generated.

................

r43220 | eric_niebler | 2008-02-11 03:48:41 +0000 (Mon, 11 Feb 2008) | 1 line

include config.hpp and workaround.hpp before uses of BOOST_WORKAROUND and BOOST_MSVC

................

r43221 | chris_kohlhoff | 2008-02-11 13:59:44 +0000 (Mon, 11 Feb 2008) | 2 lines

Need to define _XOPEN_SOURCE_EXTENDED when compiling for HP-UX.

................

r43226 | djenkins | 2008-02-11 20:49:19 +0000 (Mon, 11 Feb 2008) | 1 line

cleanup using local<> and skip()

................

r43239 | turkanis | 2008-02-13 05:43:39 +0000 (Wed, 13 Feb 2008) | 1 line

fixed return value of read(), to correctly handle eof

................

r43240 | turkanis | 2008-02-13 05:47:44 +0000 (Wed, 13 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43059-43238: better debug output for mapped file; fixed large_file_test.cpp under UNICODE on Windows

................

r43241 | turkanis | 2008-02-13 19:38:52 +0000 (Wed, 13 Feb 2008) | 1 line

added markup for stdcxx failures (iostreams)

................

r43243 | turkanis | 2008-02-13 19:42:10 +0000 (Wed, 13 Feb 2008) | 1 line

switched from <wchar.h> to <cwchar>, for stdcxx (which is conforming in this case)

................

r43246 | matias | 2008-02-14 17:33:12 +0000 (Thu, 14 Feb 2008) | 1 line

remove local admonitions

................

r43247 | matias | 2008-02-14 17:43:52 +0000 (Thu, 14 Feb 2008) | 1 line

optional docs fixes

................

r43248 | matias | 2008-02-14 17:44:21 +0000 (Thu, 14 Feb 2008) | 1 line

redirect optional docs to new version

................

r43251 | matias | 2008-02-14 18:08:16 +0000 (Thu, 14 Feb 2008) | 1 line

conversion docs fixes

................

r43252 | matias | 2008-02-14 18:09:34 +0000 (Thu, 14 Feb 2008) | 1 line

redirect to new conversion docs

................

r43253 | matias | 2008-02-14 18:19:34 +0000 (Thu, 14 Feb 2008) | 1 line

redirect optional and numeric/conversion docs to new version

................

r43254 | matias | 2008-02-14 19:03:55 +0000 (Thu, 14 Feb 2008) | 1 line

bimap doc fixes

................

r43255 | matias | 2008-02-14 19:05:04 +0000 (Thu, 14 Feb 2008) | 1 line

fix tabs in files

................

r43256 | matias | 2008-02-14 19:22:15 +0000 (Thu, 14 Feb 2008) | 1 line

fix tabs in files

................

r43260 | matias | 2008-02-14 21:24:11 +0000 (Thu, 14 Feb 2008) | 1 line

add missing images

................

r43262 | hkaiser | 2008-02-14 22:01:54 +0000 (Thu, 14 Feb 2008) | 1 line

Fixed a whitespace insertion glitch, where whitespace got inserted unconditionally between two operators even if one of these was a comma.

................

r43264 | hkaiser | 2008-02-14 23:52:33 +0000 (Thu, 14 Feb 2008) | 1 line

Wave: More fixes to whitespace insertion engine.

................

r43266 | hkaiser | 2008-02-15 14:35:36 +0000 (Fri, 15 Feb 2008) | 1 line

Wave: More fixes to whitespace insertion engine.

................

r43269 | pdimov | 2008-02-15 18:40:36 +0000 (Fri, 15 Feb 2008) | 1 line

Added support for &&,

................

r43272 | andreas_huber69 | 2008-02-16 10:13:08 +0000 (Sat, 16 Feb 2008) | 1 line

Updated statechart markup

................

r43274 | andreas_huber69 | 2008-02-16 10:19:49 +0000 (Sat, 16 Feb 2008) | 2 lines

Silenced GCC 4.0.1 warning (patch supplied by Euan) <http://thread.gmane.org/gmane.comp.lib.boost.devel/171071>

................

r43280 | jurko | 2008-02-16 16:50:42 +0000 (Sat, 16 Feb 2008) | 1 line

Corrected comments related to the allowed linker & linker-type values. Minor stylistic changes.

................

r43281 | jurko | 2008-02-16 16:53:33 +0000 (Sat, 16 Feb 2008) | 1 line

Added support for compiling C++ programs without RTTI support using the gcc toolset.

................

r43282 | jurko | 2008-02-16 17:03:54 +0000 (Sat, 16 Feb 2008) | 1 line

Made the msvc toolset always explicitly enable or disable rtti support based on the <rtti> feature value instead of only setting it if <rtti>on and depending on it being disabled by default. The original behaviour did not work well with msvc 8.0 for which there was not way to disable rtti support as that compiler enables rtti support by default.

................

r43283 | bemandawes | 2008-02-17 02:01:32 +0000 (Sun, 17 Feb 2008) | 1 line

Show output of example program

................

r43290 | hkaiser | 2008-02-17 16:45:08 +0000 (Sun, 17 Feb 2008) | 1 line

Wave: Extended a workaround to newest Intel compiler version (Linux V10.1)

................

r43292 | nesotto | 2008-02-17 16:49:38 +0000 (Sun, 17 Feb 2008) | 1 line

support for comparinson operators

................

r43293 | nesotto | 2008-02-17 16:50:02 +0000 (Sun, 17 Feb 2008) | 1 line

support for comparison operators

................

r43294 | hkaiser | 2008-02-17 17:00:20 +0000 (Sun, 17 Feb 2008) | 1 line

Wave: Fixed test cases to reflect recent changes to whitespace insertion.

................

r43296 | eric_niebler | 2008-02-17 20:53:18 +0000 (Sun, 17 Feb 2008) | 1 line

proto documentation improvements

................

r43299 | turkanis | 2008-02-18 05:48:13 +0000 (Mon, 18 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43243-43298: overhaul of category_of and close(): stringstream is now dual_seekable; standard file streams and string streams are closable; public Boost.Iostreams streams and streambufs are closable; close() pops filtering streams and streambufs

................

r43300 | eric_niebler | 2008-02-18 06:16:27 +0000 (Mon, 18 Feb 2008) | 1 line

remove dependence on boost.lambda, make numeric function objects work with std binders

................

r43301 | chris_kohlhoff | 2008-02-18 13:31:26 +0000 (Mon, 18 Feb 2008) | 2 lines

Fix printing of error messages.

................

r43302 | chris_kohlhoff | 2008-02-18 13:33:23 +0000 (Mon, 18 Feb 2008) | 2 lines

Only define _XOPEN_SOURCE_EXTENDED when building with gcc on HP-UX.

................

r43303 | chris_kohlhoff | 2008-02-18 13:35:15 +0000 (Mon, 18 Feb 2008) | 3 lines

Add missing #include of socket_types.hpp needed for the SSL unit tests to compile successfully on Windows.

................

r43306 | eric_niebler | 2008-02-18 18:29:29 +0000 (Mon, 18 Feb 2008) | 1 line

remove post_construct docs, fix link to boost.parameter library

................

r43308 | niels_dekker | 2008-02-18 22:11:19 +0000 (Mon, 18 Feb 2008) | 1 line

Fixed the assignment of value_initialized<T> for T being a C-style array. (The previous version would trigger a compile error in this case.)

................

r43309 | niels_dekker | 2008-02-18 22:13:21 +0000 (Mon, 18 Feb 2008) | 1 line

Tested the assignment of value_initialized<T>, for T being a C-style array. Related to the fix of changeset [43308]

................

r43310 | eric_niebler | 2008-02-18 23:03:23 +0000 (Mon, 18 Feb 2008) | 1 line

some doxygen comments for proto/traits.hpp

................

r43311 | eric_niebler | 2008-02-19 05:56:52 +0000 (Tue, 19 Feb 2008) | 1 line

more proto documentation tweaks, remove unnecessary result_of::arg_c instantiation

................

r43312 | eric_niebler | 2008-02-19 07:14:37 +0000 (Tue, 19 Feb 2008) | 1 line

fix droppable accumulators

................

r43314 | eric_niebler | 2008-02-19 07:33:30 +0000 (Tue, 19 Feb 2008) | 1 line

darn, back out bad droppable changes

................

r43316 | pdimov | 2008-02-19 13:18:58 +0000 (Tue, 19 Feb 2008) | 1 line

Fixes #1590.

................

r43317 | pdimov | 2008-02-19 14:01:13 +0000 (Tue, 19 Feb 2008) | 1 line

Fixes #1444.

................

r43318 | pdimov | 2008-02-19 14:26:36 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #398, as long as the macros BOOST_NO_STD_TYPEINFO and BOOST_NO_IOSTREAM are defined. I don't know how Boost.Config needs to be changed to autodetect eVC4 and set these on its own.

................

r43319 | pdimov | 2008-02-19 14:51:10 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1641.

................

r43320 | pdimov | 2008-02-19 14:59:28 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1646.

................

r43321 | pdimov | 2008-02-19 15:09:10 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1642.

................

r43322 | nesotto | 2008-02-19 15:10:05 +0000 (Tue, 19 Feb 2008) | 1 line

fixed problem with operator()() when the value_type was abstract.

................

r43323 | pdimov | 2008-02-19 15:40:58 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1643.

................

r43325 | turkanis | 2008-02-19 19:34:07 +0000 (Tue, 19 Feb 2008) | 1 line

stringstreams are no longer closable; the semantics of close() for these devices was illconsidered

................

r43328 | turkanis | 2008-02-20 00:09:06 +0000 (Wed, 20 Feb 2008) | 1 line

menu fix from iostreams_dev

................

r43329 | turkanis | 2008-02-20 03:20:17 +0000 (Wed, 20 Feb 2008) | 1 line

markup for pgi-7.0 (iostreams)

................

r43330 | bemandawes | 2008-02-20 13:46:49 +0000 (Wed, 20 Feb 2008) | 1 line

Add .z7 archive generation

................

r43332 | grafik | 2008-02-20 17:32:09 +0000 (Wed, 20 Feb 2008) | 1 line

New readme page for now standalone release.

................

r43334 | grafik | 2008-02-20 19:15:16 +0000 (Wed, 20 Feb 2008) | 1 line

Fix link to getting started docs.

................

r43335 | grafik | 2008-02-20 22:50:03 +0000 (Wed, 20 Feb 2008) | 1 line

Add the <python.interpreter> to all requirements to allow other toolsets to use the currently configured python instead of relying on python being in the path.

................

r43336 | grafik | 2008-02-20 23:01:43 +0000 (Wed, 20 Feb 2008) | 1 line

Use the configured python interpreter instead of assuming it's in the path.

................

r43337 | grafik | 2008-02-20 23:03:28 +0000 (Wed, 20 Feb 2008) | 1 line

Add missing, and assumed, white background for screen rendering.

................

r43338 | grafik | 2008-02-20 23:26:58 +0000 (Wed, 20 Feb 2008) | 1 line

Doc cleanups.

................

r43344 | eric_niebler | 2008-02-21 07:18:24 +0000 (Thu, 21 Feb 2008) | 1 line

More Proto documentation

................

r43346 | johnmaddock | 2008-02-21 10:37:59 +0000 (Thu, 21 Feb 2008) | 3 lines

Fix typo in example. Added links to PDF versions of the docs. Regenerated all the docs to fix people links.

................

r43347 | johnmaddock | 2008-02-21 11:53:59 +0000 (Thu, 21 Feb 2008) | 1 line

Update main overview page.

................

r43349 | bemandawes | 2008-02-21 12:46:11 +0000 (Thu, 21 Feb 2008) | 1 line

Fix typo; .z7 should be .7z

................

r43351 | johnmaddock | 2008-02-21 12:58:15 +0000 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs, and regenerated.

................

r43354 | johnmaddock | 2008-02-21 13:51:18 +0000 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs, and regenerated.

................

r43357 | johnmaddock | 2008-02-21 16:49:59 +0000 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs.

................

r43359 | johnmaddock | 2008-02-21 17:01:26 +0000 (Thu, 21 Feb 2008) | 1 line

Regenerated docs to fix links.

................

r43361 | bemandawes | 2008-02-21 20:11:32 +0000 (Thu, 21 Feb 2008) | 1 line

Fix still another typo

................

r43362 | eric_niebler | 2008-02-21 20:12:02 +0000 (Thu, 21 Feb 2008) | 1 line

doxygen comments for proto::when<>

................

r43363 | eric_niebler | 2008-02-22 00:42:12 +0000 (Fri, 22 Feb 2008) | 1 line

fix crash when actions are in keep() expressions

................

r43364 | eric_niebler | 2008-02-22 02:01:46 +0000 (Fri, 22 Feb 2008) | 1 line

doxygen comments

................

r43365 | grafik | 2008-02-22 05:26:39 +0000 (Fri, 22 Feb 2008) | 1 line

Rename readme.html to index.html, and add forwarding index.htm for backward compatibility.

................

r43368 | danieljames | 2008-02-22 09:21:22 +0000 (Fri, 22 Feb 2008) | 2 lines

Update the index.html link in the navbar.

................

r43371 | grafik | 2008-02-22 16:25:21 +0000 (Fri, 22 Feb 2008) | 1 line

Remove obsolete getting started files. They where replaced by more/getting_started/*.

................

r43377 | chris_kohlhoff | 2008-02-22 22:43:54 +0000 (Fri, 22 Feb 2008) | 2 lines

Use the correct vector of timer queues when dispatching timers.

................

r43390 | turkanis | 2008-02-23 00:05:49 +0000 (Sat, 23 Feb 2008) | 2 lines

Ported change from iostreams_dev

................

r43391 | turkanis | 2008-02-23 00:06:24 +0000 (Sat, 23 Feb 2008) | 2 lines

Ported changes from iostreams_dev

................

r43392 | turkanis | 2008-02-23 00:07:13 +0000 (Sat, 23 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43327-43389

................

r43393 | turkanis | 2008-02-23 00:11:07 +0000 (Sat, 23 Feb 2008) | 1 line

merged changes from iostreams_dev

................

r43395 | turkanis | 2008-02-23 06:07:59 +0000 (Sat, 23 Feb 2008) | 1 line

updated to test close() on filtering streambufs

................

r43399 | turkanis | 2008-02-23 07:44:58 +0000 (Sat, 23 Feb 2008) | 1 line

merged changes from iostreams_dev

................

r43402 | bemandawes | 2008-02-23 14:04:02 +0000 (Sat, 23 Feb 2008) | 1 line

Give the 1st and 2nd level index.html files a common look-and-feel.

................

r43405 | vladimir_prus | 2008-02-24 12:59:04 +0000 (Sun, 24 Feb 2008) | 3 lines

Recognize that fact, for that for intel-win, <runtime-debuggin> matters and should be added to the library name.

................

r43409 | bemandawes | 2008-02-25 00:53:26 +0000 (Mon, 25 Feb 2008) | 1 line

Fix html boo boo

................

r43410 | schoepflin | 2008-02-25 08:37:10 +0000 (Mon, 25 Feb 2008) | 1 line

Added missing template keyword.

................

r43411 | t_schwinger | 2008-02-25 11:45:51 +0000 (Mon, 25 Feb 2008) | 3 lines

removes unnecessary escaping

................

r43412 | t_schwinger | 2008-02-25 11:47:59 +0000 (Mon, 25 Feb 2008) | 3 lines

removes unnecessary comment

................

r43416 | hkaiser | 2008-02-26 19:25:05 +0000 (Tue, 26 Feb 2008) | 1 line

Wave: Fixed expanding_function_like_macro preprocessing hook.

................

r43417 | danieljames | 2008-02-26 22:04:55 +0000 (Tue, 26 Feb 2008) | 2 lines

Fix a link to Boost.Bimap.

................

r43418 | danieljames | 2008-02-26 22:07:25 +0000 (Tue, 26 Feb 2008) | 2 lines

Change another link that's no longer in the repository to link to the website.

................

r43419 | hkaiser | 2008-02-26 22:36:36 +0000 (Tue, 26 Feb 2008) | 1 line

Fixed a compilation problem on pathscale

................

r43421 | eric_niebler | 2008-02-27 18:48:22 +0000 (Wed, 27 Feb 2008) | 1 line

partially revert breaking change to independent sub-expressions until I can make a proper fix

................

r43422 | danieljames | 2008-02-27 18:51:14 +0000 (Wed, 27 Feb 2008) | 1 line

Fix broken copyright urls. Fixes #1573.

................

r43423 | danieljames | 2008-02-27 19:22:01 +0000 (Wed, 27 Feb 2008) | 1 line

Fix incorrect links to copyright of the form 'http:#www.boost.org

................

r43424 | eric_niebler | 2008-02-27 19:39:43 +0000 (Wed, 27 Feb 2008) | 1 line

fix bug in use_simple_repeat calculation

................

r43428 | eric_niebler | 2008-02-28 00:03:15 +0000 (Thu, 28 Feb 2008) | 1 line

add test case for use_simple_repeat fix

................

r43433 | eric_niebler | 2008-02-28 22:47:12 +0000 (Thu, 28 Feb 2008) | 1 line

fix oops

................

r43434 | johnmaddock | 2008-02-29 09:49:42 +0000 (Fri, 29 Feb 2008) | 1 line

Apply fixes to issue #1658 which fixes some broken URL's.

................

r43435 | johnmaddock | 2008-02-29 09:58:30 +0000 (Fri, 29 Feb 2008) | 1 line

Fix broken link as per report #1658.

................

r43437 | chris_kohlhoff | 2008-02-29 12:57:57 +0000 (Fri, 29 Feb 2008) | 2 lines

Add missing tie().

................

r43438 | schoepflin | 2008-02-29 15:13:41 +0000 (Fri, 29 Feb 2008) | 2 lines

Added expected failure markup for the test weighted_tail_variate_means on Tru64/CXX.

................

r43441 | eric_niebler | 2008-03-01 19:32:56 +0000 (Sat, 01 Mar 2008) | 1 line

add map_assign example

................

r43458 | turkanis | 2008-03-03 06:20:14 +0000 (Mon, 03 Mar 2008) | 1 line

merged changes from iostreams_dev, revisions 43399-43457

................

r43461 | anthonyw | 2008-03-03 08:44:42 +0000 (Mon, 03 Mar 2008) | 1 line

Test and fix for issue #1665

................

r43464 | anthonyw | 2008-03-03 10:52:44 +0000 (Mon, 03 Mar 2008) | 1 line

thread constructor now accepts up to three additional arguments to pass to thread function

................

r43467 | danieljames | 2008-03-03 12:10:35 +0000 (Mon, 03 Mar 2008) | 2 lines

Tell subversion that date_time.doc is a text file, not a word document.

................

r43468 | danieljames | 2008-03-03 12:11:25 +0000 (Mon, 03 Mar 2008) | 1 line

Fix license link in date_time.doc

................

r43469 | chris_kohlhoff | 2008-03-03 13:21:05 +0000 (Mon, 03 Mar 2008) | 4 lines

Disable use of CancelIo? by default, due to the possibility of silent failure on some system configurations. Swallow error returned by CancelIoEx? if there are no operations to be cancelled.

................

r43470 | chris_kohlhoff | 2008-03-03 13:27:06 +0000 (Mon, 03 Mar 2008) | 2 lines

Add missing 'boost_' prefix to helper namespace.

................

r43471 | chris_kohlhoff | 2008-03-03 13:36:35 +0000 (Mon, 03 Mar 2008) | 2 lines

Regenerate documentation.

................

r43472 | chris_kohlhoff | 2008-03-03 14:05:35 +0000 (Mon, 03 Mar 2008) | 1 line

Update copyright notices.

................

r43473 | chris_kohlhoff | 2008-03-03 14:13:01 +0000 (Mon, 03 Mar 2008) | 2 lines

Update copyright notices.

................

r43476 | eric_niebler | 2008-03-03 19:44:54 +0000 (Mon, 03 Mar 2008) | 1 line

add Map Assign example to documentation

................

r43478 | eric_niebler | 2008-03-03 19:47:47 +0000 (Mon, 03 Mar 2008) | 1 line

second attempt at fixing actions in independent expressions

................

r43484 | eric_niebler | 2008-03-03 23:48:17 +0000 (Mon, 03 Mar 2008) | 1 line

handle static regexes with actions nested in dynamic independent subexpressions

................

r43485 | emildotchevski | 2008-03-04 01:41:17 +0000 (Tue, 04 Mar 2008) | 1 line

boost exception

................

r43496 | eric_niebler | 2008-03-04 18:51:07 +0000 (Tue, 04 Mar 2008) | 1 line

rename numeric::empty to numeric::default_, fixes #1650

................

r43501 | eric_niebler | 2008-03-04 19:31:57 +0000 (Tue, 04 Mar 2008) | 1 line

eliminate msvc level 4 warnings, fixes #1631

................

r43502 | eric_niebler | 2008-03-04 19:42:36 +0000 (Tue, 04 Mar 2008) | 1 line

add Dave Jenkin's evil static/dynamic actions in keep test case

................

r43503 | eric_niebler | 2008-03-04 21:09:47 +0000 (Tue, 04 Mar 2008) | 1 line

work around msvc bug 331418, fixes #1652

................

r43506 | eric_niebler | 2008-03-04 23:01:17 +0000 (Tue, 04 Mar 2008) | 1 line

fix bad interaction between boyer-moore optimization and partial match feature, fixes #1564

................

r43508 | eric_niebler | 2008-03-05 06:32:39 +0000 (Wed, 05 Mar 2008) | 1 line

add BOOST_REVERSE_FOREACH, fixes #1071

................

r43509 | eric_niebler | 2008-03-05 07:12:03 +0000 (Wed, 05 Mar 2008) | 1 line

fix bug iterating over abstract base

................

r43523 | eric_niebler | 2008-03-06 01:56:57 +0000 (Thu, 06 Mar 2008) | 1 line

fix documentation about droppable, replace accumulator_set_wrapper example with bind() and ref()

................

r43524 | hkaiser | 2008-03-06 03:28:47 +0000 (Thu, 06 Mar 2008) | 1 line

Wave: Fixed #1673.

................

r43525 | emildotchevski | 2008-03-06 05:08:22 +0000 (Thu, 06 Mar 2008) | 1 line

hooking up boost exception for testing

................

r43526 | vladimir_prus | 2008-03-06 06:06:17 +0000 (Thu, 06 Mar 2008) | 6 lines

Add 'pythonpath' feature to specify additional PYTHONPATH elements. Make bpl-test correctly set dependencies if used with multiple .pyd sources.

Patch from Joshua Napoli.

................

r43527 | vladimir_prus | 2008-03-06 06:57:27 +0000 (Thu, 06 Mar 2008) | 6 lines

Arrange for HPP source to be scanned for #includes, too. This fixes PCH not being rebuild when some other headers included from HPP being compiled change.

Thanks to Pierre-Luc Neron for the bug report.

................

r43528 | anthonyw | 2008-03-06 07:59:16 +0000 (Thu, 06 Mar 2008) | 1 line

made the callable_no_args function object a named object rather than a temporary, in order to avoid gratuitous breakage on some compilers

................

r43530 | eric_niebler | 2008-03-06 17:56:42 +0000 (Thu, 06 Mar 2008) | 1 line

work around msvc-7.1 bug

................

r43531 | eric_niebler | 2008-03-06 18:07:22 +0000 (Thu, 06 Mar 2008) | 1 line

fix warnings

................

r43534 | eric_niebler | 2008-03-07 07:37:46 +0000 (Fri, 07 Mar 2008) | 1 line

fix oops

................

r43535 | hkaiser | 2008-03-07 13:26:53 +0000 (Fri, 07 Mar 2008) | 1 line

Wave: more fixes for #1673

................

r43537 | vladimir_prus | 2008-03-07 16:18:13 +0000 (Fri, 07 Mar 2008) | 1 line

Fix PCH on OSX

................

r43538 | eric_niebler | 2008-03-07 17:46:38 +0000 (Fri, 07 Mar 2008) | 1 line

use a pragma to disable a msvc warning, fixes #1672

................

r43539 | eric_niebler | 2008-03-07 17:47:40 +0000 (Fri, 07 Mar 2008) | 1 line

fix oops

................

r43540 | hkaiser | 2008-03-07 19:51:26 +0000 (Fri, 07 Mar 2008) | 1 line

Wave: Started to add testing of preprocessor hooks.

................

r43541 | grafik | 2008-03-07 21:59:06 +0000 (Fri, 07 Mar 2008) | 1 line

Disable exception testing line as it's breaking testing.

................

r43542 | hkaiser | 2008-03-07 22:53:13 +0000 (Fri, 07 Mar 2008) | 1 line

Wave: Applied a workaround for Intel compilers and for Pathscale.

................

r43544 | emildotchevski | 2008-03-07 23:07:13 +0000 (Fri, 07 Mar 2008) | 1 line

Hooking up boost exception for testing, second attempt.

................

r43546 | rwgk | 2008-03-09 04:30:13 +0000 (Sun, 09 Mar 2008) | 1 line

map std::invalid_argument -> Python ValueError?

................

r43555 | emildotchevski | 2008-03-10 20:18:19 +0000 (Mon, 10 Mar 2008) | 5 lines

fix for:

boost/exception/enable_exception_cloning.hpp uses std::bad_alloc without #include'ing <new>. Because of this, some exception library tests fail to compile on HP-UX.

................

r43565 | hljin | 2008-03-11 17:28:42 +0000 (Tue, 11 Mar 2008) | 1 line

Fixed two minor compiler errors showing up under in the new GCC 4.3.0

................

r43566 | noel_belcourt | 2008-03-11 17:57:54 +0000 (Tue, 11 Mar 2008) | 6 lines

A user-config.jam that defined multiple python toolsets exposed an error in the python.jam init rule. Moved the feature definition out of the init rule to avoid the feature redefinition error.

................

r43569 | chris_kohlhoff | 2008-03-12 13:25:49 +0000 (Wed, 12 Mar 2008) | 4 lines

Revert to having the windows-bug workaround (short timeout on GetQueuedCompletionStatus?) on all threads as there are still scenarios where threads can get stuck indefinitely.

................

r43570 | chris_kohlhoff | 2008-03-12 13:26:41 +0000 (Wed, 12 Mar 2008) | 3 lines

Use unions to fix a sockaddr_storage aliasing problem that shows up with g++ 4.3.0.

................

r43572 | djenkins | 2008-03-12 14:46:24 +0000 (Wed, 12 Mar 2008) | 1 line

Added test for keep() of nested regex with action

................

r43573 | djenkins | 2008-03-12 14:48:32 +0000 (Wed, 12 Mar 2008) | 1 line

Fix keep() of nested regex with action

................

r43586 | chris_kohlhoff | 2008-03-13 06:59:02 +0000 (Thu, 13 Mar 2008) | 2 lines

Fix incorrect use of sin_port with a sockaddr_in6 structure.

................

r43590 | johnmaddock | 2008-03-13 13:16:19 +0000 (Thu, 13 Mar 2008) | 2 lines

Updated equations so that they are all 120dpi images. Also tweaked a few for better readability.

................

r43592 | eric_niebler | 2008-03-13 17:22:59 +0000 (Thu, 13 Mar 2008) | 1 line

work around msvc bug

................

r43593 | eric_niebler | 2008-03-13 17:46:09 +0000 (Thu, 13 Mar 2008) | 1 line

add lambda example, fix doc errors and typos

................

r43595 | bemandawes | 2008-03-13 20:10:08 +0000 (Thu, 13 Mar 2008) | 1 line

Bring back more/more.htm, supply links for pages moved to website

................

r43600 | bemandawes | 2008-03-14 12:10:23 +0000 (Fri, 14 Mar 2008) | 1 line

Add forwarding file, thus resolving many broken links

................

r43601 | bemandawes | 2008-03-14 12:17:18 +0000 (Fri, 14 Mar 2008) | 1 line

Add forwarding file, thus resolving many broken links

................

r43605 | t_schwinger | 2008-03-14 17:59:22 +0000 (Fri, 14 Mar 2008) | 3 lines

attempts to finally make Sun work

................

r43606 | t_schwinger | 2008-03-14 18:29:26 +0000 (Fri, 14 Mar 2008) | 3 lines

resolves #1100 and #1602

................

r43607 | johnmaddock | 2008-03-14 18:32:45 +0000 (Fri, 14 Mar 2008) | 1 line

Fixed Inspection report issues.

................

r43608 | t_schwinger | 2008-03-14 18:36:46 +0000 (Fri, 14 Mar 2008) | 3 lines

adds acknowledgement for Noel helping to support Sun compilers

................

r43619 | bemandawes | 2008-03-15 12:46:02 +0000 (Sat, 15 Mar 2008) | 1 line

Fix broken link, add count of new libraries.

................

r43621 | danieljames | 2008-03-15 12:59:21 +0000 (Sat, 15 Mar 2008) | 1 line

Update type traits links for new location.

................

r43622 | danieljames | 2008-03-15 13:04:57 +0000 (Sat, 15 Mar 2008) | 1 line

Regenerate the type traits docs, to get changes from [43621]. Refs #1686.

................

r43625 | johnmaddock | 2008-03-15 13:52:49 +0000 (Sat, 15 Mar 2008) | 1 line

Fix a pair of broken links and regenerate the docs.

................

r43632 | johnmaddock | 2008-03-15 18:19:11 +0000 (Sat, 15 Mar 2008) | 1 line

Added missing files.

................

r43633 | johnmaddock | 2008-03-15 18:41:51 +0000 (Sat, 15 Mar 2008) | 1 line

Fix some inspection report issues.

................

r43640 | chris_kohlhoff | 2008-03-15 22:37:58 +0000 (Sat, 15 Mar 2008) | 2 lines

Merge asio doc fixes from release branch.

................

r43641 | eric_niebler | 2008-03-15 23:43:21 +0000 (Sat, 15 Mar 2008) | 1 line

range-based regex_replace, address LWG issues #726 and #727, misc. feedback about proto and docs

................

r43642 | hljin | 2008-03-15 23:44:54 +0000 (Sat, 15 Mar 2008) | 1 line

Add copyright notice and Boost license

................

r43643 | hljin | 2008-03-15 23:45:25 +0000 (Sat, 15 Mar 2008) | 1 line

Added copyright notice and Boost license

................

r43644 | hljin | 2008-03-15 23:50:04 +0000 (Sat, 15 Mar 2008) | 1 line

Added copyright notice and Boost license

................

r43645 | hljin | 2008-03-15 23:53:32 +0000 (Sat, 15 Mar 2008) | 1 line

Added copyright notice and Boost license

................

r43646 | hkaiser | 2008-03-16 01:39:59 +0000 (Sun, 16 Mar 2008) | 1 line

Wave: Fixed whitespace insertion error, fixed test cases.

................

r43647 | eric_niebler | 2008-03-16 06:49:13 +0000 (Sun, 16 Mar 2008) | 1 line

regex_replace supports formatter functions and function objects

................

r43660 | eric_niebler | 2008-03-16 22:37:06 +0000 (Sun, 16 Mar 2008) | 1 line

allow lambdas to be used as formatters

................

r43661 | eric_niebler | 2008-03-16 23:06:26 +0000 (Sun, 16 Mar 2008) | 1 line

more tests for new regex_replace functionality

................

r43662 | igaztanaga | 2008-03-16 23:55:49 +0000 (Sun, 16 Mar 2008) | 1 line

Fixed ticket #1683

................

r43663 | eric_niebler | 2008-03-17 00:35:04 +0000 (Mon, 17 Mar 2008) | 1 line

document new format flags, and range-based interface for regex_match and regex_search

................

r43666 | anthonyw | 2008-03-17 08:36:09 +0000 (Mon, 17 Mar 2008) | 1 line

Test and fix for bug #1693 to ensure thread_specific_ptr works as desired

................

r43671 | anthonyw | 2008-03-17 10:29:27 +0000 (Mon, 17 Mar 2008) | 1 line

New documentation for new thread library

................

r43676 | bemandawes | 2008-03-17 16:53:58 +0000 (Mon, 17 Mar 2008) | 1 line

Add function_types

................

r43679 | dgregor | 2008-03-17 17:31:21 +0000 (Mon, 17 Mar 2008) | 1 line

Fix typo

................

r43680 | dgregor | 2008-03-17 17:34:46 +0000 (Mon, 17 Mar 2008) | 1 line

Fix some documentation issues. Fixes #1655, fixes #1660

................

r43685 | eric_niebler | 2008-03-17 21:46:08 +0000 (Mon, 17 Mar 2008) | 1 line

small interface simplification, doc comment improvements

................

r43686 | jano_gaspar | 2008-03-17 22:27:15 +0000 (Mon, 17 Mar 2008) | 1 line

circular_buffer: bugfix #1692

................

r43687 | hljin | 2008-03-17 22:28:58 +0000 (Mon, 17 Mar 2008) | 1 line

Added two scripts

................

r43690 | ramey | 2008-03-18 04:58:51 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43691 | ramey | 2008-03-18 05:01:57 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43692 | ramey | 2008-03-18 05:47:10 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43693 | ramey | 2008-03-18 05:52:10 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43694 | ramey | 2008-03-18 05:53:07 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43695 | eric_niebler | 2008-03-18 06:18:33 +0000 (Tue, 18 Mar 2008) | 1 line

work around gcc-4.0.1 bug with const-qualified function references

................

r43696 | eric_niebler | 2008-03-18 06:44:45 +0000 (Tue, 18 Mar 2008) | 1 line

better, restrict fix to gcc-4.0

................

r43701 | ramey | 2008-03-18 15:51:13 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43702 | ramey | 2008-03-18 15:51:42 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43704 | ramey | 2008-03-18 16:31:36 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43705 | ramey | 2008-03-18 16:32:22 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43706 | ramey | 2008-03-18 16:32:48 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43709 | bemandawes | 2008-03-18 19:35:18 +0000 (Tue, 18 Mar 2008) | 1 line

Fix inspect boo boos; mostly broken links

................

r43714 | grafik | 2008-03-19 01:01:19 +0000 (Wed, 19 Mar 2008) | 1 line

Disable serialization tests until Robert fixes the testing breakage.

................

r43715 | bemandawes | 2008-03-19 01:42:03 +0000 (Wed, 19 Mar 2008) | 1 line

Fix broken links

................

r43717 | ramey | 2008-03-19 05:17:02 +0000 (Wed, 19 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43718 | eric_niebler | 2008-03-19 05:18:50 +0000 (Wed, 19 Mar 2008) | 1 line

correct minor doc inaccuracies

................

r43719 | jano_gaspar | 2008-03-19 09:24:24 +0000 (Wed, 19 Mar 2008) | 1 line

circular_buffer: improved documentation

................

r43721 | vladimir_prus | 2008-03-19 10:51:45 +0000 (Wed, 19 Mar 2008) | 5 lines

Fix #1698 (http://svn.boost.org/trac/boost/ticket/1698).

  • build/virtual-target.jam (register): Ignore differences in incidental dependency features.

................

r43722 | vladimir_prus | 2008-03-19 11:09:29 +0000 (Wed, 19 Mar 2008) | 3 lines

Remove usage-requirements as they are not necessary, and can cause bogus dependencies for serialization's client.

................

r43723 | bemandawes | 2008-03-19 12:33:41 +0000 (Wed, 19 Mar 2008) | 1 line

Fix ordering of libraries within categories. [Vicente Juan Botet]

................

r43726 | grafik | 2008-03-19 16:27:43 +0000 (Wed, 19 Mar 2008) | 1 line

Re-enable serialization tests, now that they should be fixed.

................

r43730 | anthonyw | 2008-03-19 17:25:13 +0000 (Wed, 19 Mar 2008) | 1 line

Removed some warnings: those from issue #1640 and others

................

r43731 | danieljames | 2008-03-19 18:22:58 +0000 (Wed, 19 Mar 2008) | 1 line

Thread is now using quickbook so we have to add a dependency to get it to build, and add it to the path, as it needs to be picked up from the build location.

................

r43732 | danieljames | 2008-03-19 18:27:34 +0000 (Wed, 19 Mar 2008) | 1 line

Remove 'using quickbook' from my documentation jamfiles. It is no longer necessary, and might be harmful.

................

r43733 | pdimov | 2008-03-19 19:39:50 +0000 (Wed, 19 Mar 2008) | 1 line

Regression test for enable_shared_from_this.

................

r43735 | lbourdev | 2008-03-20 04:27:41 +0000 (Thu, 20 Mar 2008) | 3 lines

GIL: Changed a private type name to differ from #define used on some Linux systems.

................

r43738 | fmhess | 2008-03-20 19:32:43 +0000 (Thu, 20 Mar 2008) | 4 lines

Added support for calling enable_shared_from_this::shared_from_this in constructors. Closes #1696.

................

r43739 | pdimov | 2008-03-20 22:10:52 +0000 (Thu, 20 Mar 2008) | 1 line

Initialize _owned in the copy constructor as well.

................

r43741 | lbourdev | 2008-03-21 09:40:59 +0000 (Fri, 21 Mar 2008) | 3 lines

GIL: Fixed a bug in planar device_n view construction.

................

r43742 | lbourdev | 2008-03-21 09:43:19 +0000 (Fri, 21 Mar 2008) | 3 lines

GIL: Replaced tabs with spaces.

................

r43747 | ramey | 2008-03-21 16:37:24 +0000 (Fri, 21 Mar 2008) | 1 line

Added consideration for compac Tru64

................

r43748 | ramey | 2008-03-21 16:40:06 +0000 (Fri, 21 Mar 2008) | 1 line

added include <ostream> for friend operators

................

r43750 | danieljames | 2008-03-21 16:52:40 +0000 (Fri, 21 Mar 2008) | 1 line

Check links in single quotes as well as double quotes.

................

r43752 | danieljames | 2008-03-21 16:56:35 +0000 (Fri, 21 Mar 2008) | 1 line

Decode percent coded characters and '&amp;' when inspecting urls.

................

r43758 | ramey | 2008-03-21 17:19:07 +0000 (Fri, 21 Mar 2008) | 1 line

Adjustment to inhibit compile error with intel compilers

................

r43766 | fmhess | 2008-03-21 19:19:25 +0000 (Fri, 21 Mar 2008) | 4 lines

Worked around compilation error in boost::get_deleter when using old versions of g++.

................

r43781 | noel_belcourt | 2008-03-21 21:04:36 +0000 (Fri, 21 Mar 2008) | 3 lines

pgi-7.1 has testable version macros, yeah!

................

r43782 | fmhess | 2008-03-21 21:12:21 +0000 (Fri, 21 Mar 2008) | 3 lines

Fixed bogus test failure caused by new enable_shared_from_this features.

................

r43795 | ramey | 2008-03-22 18:59:07 +0000 (Sat, 22 Mar 2008) | 4 lines

streamlined Jamfile.v2 eliminated build of binary_w* removed usage-requirement dropped serialization.jam as its no longer used

................

r43799 | grafik | 2008-03-22 22:53:35 +0000 (Sat, 22 Mar 2008) | 1 line

Remove svn exec property from files that should not be executable to fix permission problems in archives.

................

r43803 | danieljames | 2008-03-23 13:03:24 +0000 (Sun, 23 Mar 2008) | 1 line

Fix another license link I seem to have missed.

................

r43804 | fmhess | 2008-03-23 14:51:40 +0000 (Sun, 23 Mar 2008) | 3 lines

Added a little more test code for new enable_shared_from_this behavior.

................

r43806 | ramey | 2008-03-23 18:36:00 +0000 (Sun, 23 Mar 2008) | 1 line

adjusted header order for export.hpp to see if this will make gcc 4.x tests pass.

................

r43807 | ramey | 2008-03-23 19:09:51 +0000 (Sun, 23 Mar 2008) | 1 line

made test compile only

................

r43808 | ramey | 2008-03-23 19:10:31 +0000 (Sun, 23 Mar 2008) | 1 line

made test_static_warning compile only

................

r43809 | ramey | 2008-03-23 19:18:22 +0000 (Sun, 23 Mar 2008) | 1 line

removed superflous static cast

................

r43810 | eric_niebler | 2008-03-23 21:51:40 +0000 (Sun, 23 Mar 2008) | 1 line

mark up new foreach tests

................

Note: See TracTickets for help on using tickets.